stages: 
  - build 
  - deploy 

criar_imagens:
  stage: build
  tags:
    - gcp 
  script: 
    - docker build -t bphsdevops/gcp-runner:1.0 app/. 
    - docker push bphsdevops/gcp-runner:1.0 

executa_imagens:
  stage: deploy 
  needs:
    - criar_imagens 
  tags:
    - gcp 
  script:
    - docker run -idt --name webserver -p 80:80 bphsdevops/gcp-runner:1.0 





